#include <bits/stdc++.h>

#define pb push_back

using namespace std;

int limit = 1e6;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, k, x;
    cin >> n >> k >> x;
    cout << "1 2 10000" << endl;
    return 0;
}